
<?php

		
		include('../conexion.php');
		
		session_start();
		 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='u'  or $_SESSION['tipo_usu']=='c'  or $_SESSION['tipo_usu']=='s'){
		}else{
			header('location:acceso_denegado.php');
		}




if (!isset($cadena_busqueda)) { $cadena_busqueda=""; } else { $cadena_busqueda=str_replace("",",",$cadena_busqueda); }

if ($cadena_busqueda<>"") {

	$array_cadena_busqueda=split("~",$cadena_busqueda);

	$cdgpro=$array_cadena_busqueda[1];

	$dscpro=$array_cadena_busqueda[2];

} else {

	$cdgpro="";

	$dscpro="";

}



?>

<html>

	<head>

		<title>Modulo Proveedores</title>

		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">

		<script language="javascript">

		

		var cursor;

		if (document.all) {

		// Está utilizando EXPLORER

		cursor='hand';

		} else {

		// Está utilizando MOZILLA/NETSCAPE

		cursor='pointer';

		}
		
		
//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "form_busqueda"

//funcion que gestiona el evento
function TelcaPulsada( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
         alert('Envio del formulario.')			//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	

		function inicio() {
		document.getElementById("form_busqueda").submit();

		}

		function nuevo_Proveedor() {
		location.href="nuevo_proveedor.php";
		}

		

		function imprimir() {
			var cdgcli=document.getElementById("cdgpro").value;
			var dsccli=document.getElementById("dscpro").value;
			window.open("provedores.php?cdgpro="+cdgpro+"&dscpro="+dscpro+"&cedpro="+cedpro+"&numtel="+numtel);

		}

		

		function buscar() {
			var cadena;
			cadena=hacer_cadena_busqueda();
			document.getElementById("cadena_busqueda").value=cadena;
			if (document.getElementById("iniciopagina").value=="") {

				document.getElementById("iniciopagina").value=1;

			} else {
			document.getElementById("iniciopagina").value=document.getElementById("paginas").value;
			}

			document.getElementById("form_busqueda").submit();

		}

		

		function paginar() {
			document.getElementById("iniciopagina").value=document.getElementById("paginas").value;
			document.getElementById("form_busqueda").submit();

		}

		

		function hacer_cadena_busqueda() {
			var cdgpro=document.getElementById("cdgpro").value;
			var dscpro=document.getElementById("dscpro").value;


			var cadena="";
			cadena="~"+cdgpro+"~"+dscpro+"~";
			return cadena;

			}

			
		function limpiar() {
			document.getElementById("form_busqueda").reset();
			buscar();
		}

		

		function abreVentana(){
			miPopup = window.open("ventana_proveedores.php","miwin","width=700,height=380,scrollbars=yes");
			miPopup.focus();

		}

		

		function validarCliente(){
			var codigo=document.getElementById("cdgpro").value;
			miPopup = window.open("comprobarprovedor.php?cdgcli="+codigo,"frame_datos","width=700,height=80,scrollbars=yes");

		}	

		

		</script>

	    <style type="text/css">
<!--
.Estilo1 {
	font-size: 12pt;
	color: #FFFFFF;
}
-->
        </style>



</head>


	<body onLoad="inicio()">

		<div id="">

			<div id="zonaVentanas">

			  <div align="left">
<form id="form_busqueda" name="form_busqueda" method="post" action="../Proveedores/rejilla.php" target="frame_rejilla" onSubmit="return false">
                    
      <div  id="formulario" class="contenido">
        <table class="fuente8" width="100%" cellspacing=0 cellpadding=0 border=0>
          <tr>
            <td width="3">&nbsp;</td>
            <td width="155">&nbsp;</td>
            <td width="255" colspan="5">&nbsp;</td>
            <td rowspan="3"><img src="../img/Recycle-Full-icon (3).png" name="Refrescar" width="48" height="48" border="0" id="Refrescar" onClick="limpiar()" onMouseOver="style.cursor=cursor" title="Refrescar" ><img src="../img/search-b-icon (4).png" width="48" height="48" border="0" onClick="buscar()" onMouseOver="style.cursor=cursor" title="Buscar"></td>
            <td width="231" rowspan="3" align="right"><div align="center"><a href="../Proveedores/nuevo_proveedor.php">
              <img src="../img/Proveedores.fw.png" width="110" height="90" title="Agregar Nuevo Proveedor"></a></div></td>
            <td width="30" align="right">&nbsp;</td>
            <td width="5" rowspan="3" align="right">&nbsp;</td>
          </tr>
          <tr>
            <td>&nbsp;</td>
            <td>Código de Proveerdor</td>
            <td colspan="5"><div align="left" class="fuente8">
                <input id="cdgpro" name="cdgpro" type="text" class="cajaPequena"  value="<?php echo $cdgpro?>"  autocomplete="off"onFocus="siguienteCampo ='dscpro';"  onChange="buscar()">
              </div>
            <td width="30" align="right">&nbsp;</td>
          </tr>
          <tr>
            <td>&nbsp;</td>
            <td height="29">Nombre</td>
            <td colspan="5"><div align="left" class="fuente8">
                <input id="dscpro" name="dscpro" type="text" class="cajaGrandeNombre"  value="<?php echo $dscpro?>" autocomplete="off" onFocus="siguienteCampo ='cdgpro';"  onChange="buscar()">
            </div></td>
            <td width="30" align="right">&nbsp;</td>
          </tr>
        </table>
      </div>
      <div id="lineaResultado">

	    <table class="fuente8" width="80%" cellspacing=0 cellpadding=3 border=0>

			  	<tr>

				<td width="50%" align="left">Cantidad de Proveedores <input id="filas" type="text" class="cajaPequena" NAME="filas" maxlength="5" readonly></td>

				<td width="50%" align="right">Mostrados <select name="paginas" id="paginas" onChange="paginar()">

		          </select></td>

	  </table>

				

	  <div class="aCentro" id="frmResultado">

				<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">

						

							

							<tr><td width="23%" class="totalResultado"> CODIGO</td>

							<td width="17%" class="totalResultado"><div align="left">NOMBRE </div></td>

							<td width="13%" class="totalResultado">TELEFONO</td>

							<td width="8%" class="totalResultado">NUMERO</td>
							<td width="23%" class="totalResultado">ESTATUS</td>

							<td width="8%" class="totalResultado">SALDO</td>

							<td width="2%" class="totalResultado">&nbsp;</td>

							<td width="6%" class="totalResultado">&nbsp;</td>
						</tr>
				</table>
	</div>
				    <iframe width="100%" height="360" id="frame_rejilla" name="frame_rejilla" frameborder="0">
                    <ilayer width="100%" height="115" id="frame_rejilla" name="frame_rejilla"></ilayer>
				    </iframe>
				    <input type="hidden" id="iniciopagina" name="iniciopagina">
				<input type="hidden" id="cadena_busqueda" name="cadena_busqueda">
			</form>
			  
				<iframe id="frame_datos" name="frame_datos" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
					</iframe>
			 
				  </div>
			    </div>
			  </div>
		  </div>			



	</body>

</html>

